# Class CIM_ZoneMembershipSettingData
extends CIM_ConnectivityMembershipSettingData

ZoneMembershipSettingData provides the identification criteria for possible Zone and ZoneAlias members.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_ConnectivityMembershipSettingData
|
+--CIM_ZoneMembershipSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | ZoneMembershipSettingData provides the identification criteria for possible Zone and ZoneAlias members.
UMLPackagePath | string | CIM::Device::FC
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ConnectivityMemberType | uint16 |

Description

string

ConnectivityMemberType specifies the type of identification used in the ConnectivityMemberID field. For Fibre Channel, several of the enumerated values require additional explanation: * A ConnectivityMemberType equal to 2 (Permanent Address) indicates that an NxPort WWN value should be specified in the related ConnectivityMemberID property. * A ConnectivityMemberType of 3 (Network Address) indicates that an NxPort Address ID value should be specified in the related ConnectivityMemberID property. * A ConnectivityMemberType of 4 (Switch Port ID) indicates that a Domain or Port Number value should be specified in the related ConnectivityMemberID property. * A ConnectivityMemberType of 5 (Logical Port Group) indicates that a Node WWN value should be specified in the related ConnectivityMemberID property.

ModelCorrespondence | string | CIM_ConnectivityMembershipSettingData.ConnectivityMemberID, CIM_ConnectivityMembershipSettingData.OtherConnectivityMemberType
Override | string | ConnectivityMemberType
Required | boolean | true
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, .., 0x8000..
Values | string | Unknown, Other, Permanent Address, Network Address, Switch Port ID, Logical Port Group, Connectivity Collection, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
ConnectivityMemberID | string | CIM_ConnectivityMembershipSettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData
OtherConnectivityMemberType | string | CIM_ConnectivityMembershipSettingData

## Class Methods